from behave import *


@given('uzytkownik jest na stronie Przelew srodkow')
def step_user_is_on_fund_transfer_page(context):
    context.driver.get("http://cookbook.seleniumacademy.com/fundTransfer.html")

@when('wprowadzi {name} jako nazwe odbiorcy platnosci')
def step_he_enters_payee_name(context, name):
    context.driver.find_element_by_id("payee").send_keys(name)

@when('wprowadzi {amount} jako kwote')
def step_he_enters_amount(context, amount):
    context.driver.find_element_by_id("amount").send_keys(amount)

@when('przesle zadanie Przelewu srodkow')
def step_he_enters_amount(context):
    context.driver.find_element_by_id("transfer").click()

@then('upewnij sie, ze przelew srodkow zakonczy sie pomyslnie komunikatem {text}')
def step_ensure_fund_transfer_is_complete(context, text):
    assert context.driver.find_element_by_id("message").text == text

@then('upewnij sie, ze zostanie wyswietlony komunikat o bledzie transakcji {text}')
def step_ensure_fund_transfer_is_complete(context, text):
    assert context.driver.find_element_by_id("message").text == text
